Package org.gradle.api.tasks.testing

# Interface TestEventReporterFactory

@ServiceScope(org.gradle.internal.service.scopes.Scope.Build.class) @Incubating public interface TestEventReporterFactory
A service that provides access to the test event reporting API.

Since:
  8.12

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GroupTestEventReporter`
  `createTestEventReporter(String rootName, Directory binaryResultsDirectory, Directory htmlReportDirectory)`
  Returns an object that can be used to report test events.

- ## Method Details

  - ### createTestEventReporter

    GroupTestEventReporter createTestEventReporter(String rootName, Directory binaryResultsDirectory, Directory htmlReportDirectory)
    Returns an object that can be used to report test events.

    When closed, it will throw if the root node has been failed.

    Parameters:
      `rootName` - the name for the root node of the test tree
      `binaryResultsDirectory` - the directory to write binary test results to
      `htmlReportDirectory` - the directory to write HTML test reports to
    Returns:
      the test event reporter
    Since:
      8.13